Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class BTCAdviceDependentPersonType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.BTCAdviceDependentPersonType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class BTCAdviceDependentPersonType extends Object implements Serializable
Generiek type voor een zorgvrager in de vraag naar advies BTC.

Java class for BTCAdviceDependentPersonType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BTCAdviceDependentPersonType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SSIN" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}SSINType"/>
             <element name="FirstName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="LastName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="OtherNames" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="BirthDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Gender" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}GenderType" minOccurs="0"/>
             <element name="CareUnit" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}CareUnitCodeType" minOccurs="0"/>
             <element name="OfficialAddress" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}AddressType"/>
             <element name="NotOfficialAddress" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}AddressType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BTCAdviceDependentPersonType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getBirthDate()`
  Geboortedatum.
  `String`
  `getCareUnit()`
  Zorgkas.
  `String`
  `getFirstName()`
  Voornaam.
  `String`
  `getGender()`
  Geslacht.
  `String`
  `getLastName()`
  Achternaam.
  `AddressType`
  `getNotOfficialAddress()`
  Gets the value of the notOfficialAddress property.
  `AddressType`
  `getOfficialAddress()`
  Gets the value of the officialAddress property.
  `String`
  `getOtherNames()`
  Enkel aanwezig als persoon nog andere namen heeft.
  `String`
  `getSSIN()`
  Gets the value of the ssin property.
  `void`
  `setBirthDate(Instant value)`
  Sets the value of the birthDate property.
  `void`
  `setCareUnit(String value)`
  Sets the value of the careUnit property.
  `void`
  `setFirstName(String value)`
  Sets the value of the firstName property.
  `void`
  `setGender(String value)`
  Sets the value of the gender property.
  `void`
  `setLastName(String value)`
  Sets the value of the lastName property.
  `void`
  `setNotOfficialAddress(AddressType value)`
  Sets the value of the notOfficialAddress property.
  `void`
  `setOfficialAddress(AddressType value)`
  Sets the value of the officialAddress property.
  `void`
  `setOtherNames(String value)`
  Sets the value of the otherNames property.
  `void`
  `setSSIN(String value)`
  Sets the value of the ssin property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BTCAdviceDependentPersonType

    public BTCAdviceDependentPersonType()

- ## Method Details

  - ### getSSIN

    public String getSSIN()
    Gets the value of the ssin property.
    Returns:
      possible object is `String`

  - ### setSSIN

    public void setSSIN(String value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFirstName

    public String getFirstName()
    Voornaam.
    Returns:
      possible object is `String`

  - ### setFirstName

    public void setFirstName(String value)
    Sets the value of the firstName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFirstName()`

  - ### getLastName

    public String getLastName()
    Achternaam.
    Returns:
      possible object is `String`

  - ### setLastName

    public void setLastName(String value)
    Sets the value of the lastName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLastName()`

  - ### getOtherNames

    public String getOtherNames()
    Enkel aanwezig als persoon nog andere namen heeft.
    Returns:
      possible object is `String`

  - ### setOtherNames

    public void setOtherNames(String value)
    Sets the value of the otherNames property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getOtherNames()`

  - ### getBirthDate

    public Instant getBirthDate()
    Geboortedatum.
    Returns:
      possible object is `String`

  - ### setBirthDate

    public void setBirthDate(Instant value)
    Sets the value of the birthDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getBirthDate()`

  - ### getGender

    public String getGender()
    Geslacht.
    Returns:
      possible object is `String`

  - ### setGender

    public void setGender(String value)
    Sets the value of the gender property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getGender()`

  - ### getCareUnit

    public String getCareUnit()
    Zorgkas.
    Returns:
      possible object is `String`

  - ### setCareUnit

    public void setCareUnit(String value)
    Sets the value of the careUnit property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCareUnit()`

  - ### getOfficialAddress

    public AddressType getOfficialAddress()
    Gets the value of the officialAddress property.
    Returns:
      possible object is `AddressType`

  - ### setOfficialAddress

    public void setOfficialAddress(AddressType value)
    Sets the value of the officialAddress property.
    Parameters:
      `value` - allowed object is `AddressType`

  - ### getNotOfficialAddress

    public AddressType getNotOfficialAddress()
    Gets the value of the notOfficialAddress property.
    Returns:
      possible object is `AddressType`

  - ### setNotOfficialAddress

    public void setNotOfficialAddress(AddressType value)
    Sets the value of the notOfficialAddress property.
    Parameters:
      `value` - allowed object is `AddressType`